UserResource
RESTful endpoint for managing this Controller's users.
The following resources are applicable:
/controller/users
Mount Point: /rest/controller/users
GET
Gets all users that are registered within this Controller.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| grouped | Whether to return the users in their groups. | query | false |
Response Body
| element: | usersEntity |
| media types: | application/xml application/json |
A usersEntity.
/controller/users/{id}
Mount Point: /rest/controller/users/{id}
The following operations are supported on this resource:
GET
Gets the details for the specified user.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The user id. | path |
Response Body
| element: | userEntity |
| media types: | application/xml application/json |
A userEntity.
PUT
Updates the specified user.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the user to update. | path | |
| authorities[] | Array of authorities to assign to the specified user. | form | |
| status | The status of the specified users account. | form |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | userEntity |
| media types: | application/xml application/json |
A userEntity
PUT
Updates the specified user.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the user to update. | path |
Request Body
| element: | userEntity |
| media types: | application/xml application/json |
A userEntity
Response Body
| element: | userEntity |
| media types: | application/xml application/json |
A userEntity
DELETE
Deletes the specified user.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The user id | path | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | userEntity |
| media types: | application/xml application/json |
A userEntity.
/controller/users/search-results
Mount Point: /rest/controller/users/search-results
GET
Searches for users with match the specified query.
Parameters
| name | description | type | default |
|---|---|---|---|
| q | Search value that will be matched against users | query |
Response Body
| element: | userSearchResultsEntity |
| media types: | application/xml application/json |
A userSearchResultsEntity